Multipart Uploads
Get a multipart upload
GET
/storage/buckets/{bucketName}/multipart/upload/{uploadId}Get a multipart upload and a page of its parts.
Parameters
GetMultipartUploadParamsbucketNamestring- Bucket name.
uploadIdstring- Multipart upload identifier.
cursor?number- Part number cursor returned from the previous page.
limit?number- Page size. Values are clamped by the API to `1` through `1000`.
Returns
partsMultipartUploadPart[]- Parts in the current page.
nextCursornumber | null- Cursor for the next page, or `null` when no next page exists.
isTruncatedboolean- Whether the result was truncated and another page is available.
countnumber- Number of parts in the current page.
uploadIdstring- Multipart upload identifier.
keystring- Final object key for the upload.
bucketNamestring- Bucket that contains the upload.
uploadMultipartUpload- Multipart upload metadata.